diff --recursive --unified=5 src/main-ros.c src-riscos/main-ros.c
--- src/main-ros.c	Sun May 12 17:18:12 2002
+++ src-riscos/main-ros.c	Thu May 30 16:52:56 2002
@@ -3021,288 +3178,330 @@
  | 'ref' is used to indicate whether this close is being forced by some other
  | part of the code (eg. the Windows> submenu code).  This is used to modify
  | the 'adjust doesn't close other terms' behavior.
  */
 
-static BOOL Hnd_MainClose( event_pollblock *pb, void *ref )
+static BOOL Hnd_MainClose(event_pollblock * pb, void *ref)
 {
 	int i;
 	window_state ws;
 	mouse_block mb;
 
 	/* New in 1.08: don't close other Terms if closed with adjust */
-	Wimp_GetPointerInfo( &mb );
-	if ( ref || mb.button.data.adjust )
+	Wimp_GetPointerInfo(&mb);
+	if (ref || mb.button.data.adjust)
 	{
-		Wimp_CloseWindow( data[0].w );
+		Wimp_CloseWindow(data[0].w);
 	}
 	else
 	{
 		/* Close all the terms, but mark the open ones as 'def_open' */
-		for ( i=0; i<MAX_TERM_DATA; i++ )
+		for (i = 0; i < MAX_TERM_DATA; i++)
 		{
-			Wimp_GetWindowState( data[i].w, &ws );
-			if ( !ws.flags.data.open )
+			Wimp_GetWindowState(data[i].w, &ws);
+			if (!ws.flags.data.open)
 			{
 				data[i].def_open = 0;
 			}
 			else
 			{
-				Wimp_CloseWindow( data[i].w );
+				Wimp_CloseWindow(data[i].w);
 				data[i].def_open = 1;
 			}
 		}
 	}
 
 	return TRUE;
 }
 
 
-static BOOL Hnd_PaletteChange( event_pollblock *pb, void *ref )
+static BOOL Hnd_PaletteChange(event_pollblock * pb, void *ref)
 {
 	cache_palette();
 	return TRUE;
 }
 
 
 
-static BOOL Hnd_ModeChange( event_pollblock *pb, void *ref )
+static BOOL Hnd_ModeChange(event_pollblock * pb, void *ref)
 {
 	int i;
 	Screen_CacheModeInfo();
 	set_up_zrb_for_mode();		/* (re)set up the redraw block */
 	cache_palette();			/* (re)cache the palette */
 	cache_fonts();				/* (re)cache the fonts */
 	/* Enforce sizes (eg. if screen_eig.y has changed) */
-	for ( i=0; i<MAX_TERM_DATA; i++ )
-		resize_term_for_font( &(data[i]) );
+	for (i = 0; i < MAX_TERM_DATA; i++)
+		resize_term_for_font(&(data[i]));
 	return TRUE;
 }
 
 
 
 
-static BOOL Hnd_Keypress( event_pollblock *pb, void *ref )
+static BOOL Hnd_Keypress(event_pollblock * pb, void *ref)
 {
-	const static char hex[]="0123456789ABCDEF";
+	const static char hex[] = "0123456789ABCDEF";
 	int c = pb->data.key.code;
 	/* Check whether this key was pressed in Term 0 */
-	if ( pb->data.key.caret.window == data[0].w )
+	if (pb->data.key.caret.window == data[0].w)
 	{
-		switch ( c )
+		switch (c)
 		{
-			case keycode_F12 :
-			case keycode_SHIFT_F12 :
-			case keycode_CTRL_F12 :
-			case keycode_CTRL_SHIFT_F12 :
+			case keycode_F12:
+			case keycode_SHIFT_F12:
+			case keycode_CTRL_F12:
+			case keycode_CTRL_SHIFT_F12:
 				/* Never intercept these */
 				break;
-			case 27 :							/* handle escape specially */
-				if ( Kbd_KeyDown( inkey_CTRL ) )
+
+			case 27:			/* handle escape specially */
+				if (Kbd_KeyDown(inkey_CTRL))
 				{
 					ack_alarm();
 					return TRUE;
 				}
-			default :
+
+			/* Send everything else onto the Term package */
+			default:  
+				/* Take care of "special" keypresses */
+				switch (c)
+				{
+					case keycode_TAB:
+					{
+						c = '\t';
+						break;
+					}
+                   
+					case keycode_PAGEUP:
+					{
+						c = '9';
+						break;
+					}
+
+					case keycode_PAGEDOWN:
+					{
+						c = '3';
+						break;
+					}         
+
+					case keycode_COPY:
+					{
+						c = '1';
+						break;
+					}          
+
+					case keycode_HOME:
+					{
+						c = '7';
+						break;
+					}
+				}
 				/* Pass to the angband engine */
 				/* Allow shift & ctrl to modify the keypad keys */
-				if ( c>='0' && c<='9' )
+				if (c >= '0' && c <= '9')
 				{
-					kbd_modifiers m = Kbd_GetModifiers( FALSE );
-					if ( m.shift ) { c |= 0x800; }
-					if ( m.ctrl ) { c |= 0x400; }
+					kbd_modifiers m = Kbd_GetModifiers(FALSE);
+					if (m.shift)
+					{
+						c |= 0x800;
+					}
+					if (m.ctrl)
+					{
+						c |= 0x400;
+					}
 					/* Could maybe add ALT as 0x1000 ??? */
 				}
+
 				/* Keys >255 have to be send as escape sequences (31=escape) */
-				if ( c>255 || c==31 )
+				if (c > 255 || c == 31)
 				{
 					Term_keypress(31);
-					Term_keypress( hex[(c & 0xf00)>>8] );
-					Term_keypress( hex[(c & 0x0f0)>>4] );
-					Term_keypress( hex[(c & 0x00f)] );
+					Term_keypress(hex[(c & 0xf00) >> 8]);
+					Term_keypress(hex[(c & 0x0f0) >> 4]);
+					Term_keypress(hex[(c & 0x00f)]);
 					c = 13;
 				}
 				Term_keypress(c);
 				key_pressed = 1;
-				/*if ( c==27 ) { escape_pressed = 1; }*/
+				/*if ( c==27 ) { escape_pressed = 1; } */
 				return TRUE;
 		}
 	}
 
-	Wimp_ProcessKey( c );
+	Wimp_ProcessKey(c);
 	return TRUE;
 }
 
 
-
-
-
-
-
-
 /*--------------------------------------------------------------------------*/
 /* Gamma correction window stuff											*/
 /*--------------------------------------------------------------------------*/
 
-static void redraw_gamma( window_redrawblock *rb, BOOL *more )
+static void redraw_gamma(window_redrawblock * rb, BOOL *more)
 {
-	int i,y,x,h,w;
-	int bx,by;
+	int i, y, x, h, w;
+	int bx, by;
 	int dither;
 
-	bx = Coord_XToScreen( GC_XOFF, (convert_block*) &(rb->rect) );
-	by = Coord_YToScreen( GC_YOFF, (convert_block*) &(rb->rect) );
+	bx = Coord_XToScreen(GC_XOFF, (convert_block *) & (rb->rect));
+	by = Coord_YToScreen(GC_YOFF, (convert_block *) & (rb->rect));
 
-	h = GC_HEIGHT/4;
-	w = GC_WIDTH/16;
+	h = GC_HEIGHT / 4;
+	w = GC_WIDTH / 16;
 
 	x = bx;
 
-	while ( *more )
+	while (*more)
 	{
-		for ( i=0; i<16; i++ )
+		for (i = 0; i < 16; i++)
 		{
 			y = by;
-			for ( dither = 0; dither<2; dither++ )
+			for (dither = 0; dither < 2; dither++)
 			{
 				/* Solid block: */
-				ColourTrans_SetGCOL( palette[i], dither<<8 , 0 );
-				GFX_RectangleFill(x,y,w,-h);
-				y-=h;
+				ColourTrans_SetGCOL(palette[i], dither << 8, 0);
+				GFX_RectangleFill(x, y, w, -h);
+				y -= h;
 				/* Dot on black: */
-				ColourTrans_SetGCOL( palette[0], dither<<8, 0 );
-				GFX_RectangleFill(x,y,w,-h);
-				ColourTrans_SetGCOL( palette[i], dither<<8, 0 );
-				GFX_RectangleFill(x+(w/2)-2,y-(h/2),2,2);
-				y-=h;
+				ColourTrans_SetGCOL(palette[0], dither << 8, 0);
+				GFX_RectangleFill(x, y, w, -h);
+				ColourTrans_SetGCOL(palette[i], dither << 8, 0);
+				GFX_RectangleFill(x + (w / 2) - 2, y - (h / 2), 2, 2);
+				y -= h;
 			}
 			x += w;
 		}
-		Wimp_GetRectangle(rb,more);
+		Wimp_GetRectangle(rb, more);
 	}
 }
 
 
-static void update_gamma( void )
+static void update_gamma(void)
 {
 	window_redrawblock rb;
 	BOOL more;
 
 	rb.window = gamma_win;
 	rb.rect.min.x = GC_XOFF;
 	rb.rect.min.y = GC_YOFF - GC_HEIGHT;
-	rb.rect.max.y = GC_XOFF+GC_WIDTH + screen_delta.x;
+	rb.rect.max.y = GC_XOFF + GC_WIDTH + screen_delta.x;
 	rb.rect.max.y = GC_YOFF + screen_delta.y;
 
-	Wimp_UpdateWindow( &rb, &more );
-	if ( more ) { redraw_gamma(&rb,&more); }
+	Wimp_UpdateWindow(&rb, &more);
+	if (more)
+	{
+		redraw_gamma(&rb, &more);
+	}
 }
 
 
 
-static BOOL Hnd_RedrawGamma( event_pollblock *pb, void *ref )
+static BOOL Hnd_RedrawGamma(event_pollblock * pb, void *ref)
 {
 	window_redrawblock rb;
 	BOOL more;
 
 	rb.window = pb->data.openblock.window;
-	Wimp_RedrawWindow( &rb, &more );
-	if ( more ) { redraw_gamma(&rb,&more); }
+	Wimp_RedrawWindow(&rb, &more);
+	if (more)
+	{
+		redraw_gamma(&rb, &more);
+	}
 
 	return TRUE;
 }
 
 
-static BOOL Hnd_GammaClick(  event_pollblock *pb, void *ref )
+static BOOL Hnd_GammaClick(event_pollblock * pb, void *ref)
 {
-	int up = (ref==0);
+	int up = (ref == 0);
 
-	if ( up )
+	if (up)
 	{
-		if ( gamma<9.0 )
+		if (gamma < 9.0)
 		{
 			gamma += 0.05;
-			Icon_SetDouble( gamma_win, 0, gamma, 2 );
+			Icon_SetDouble(gamma_win, 0, gamma, 2);
 			Term_xtra_acn_react();
 			update_gamma();
 		}
 	}
 	else
 	{
-		if ( gamma>0.05 )
+		if (gamma > 0.05)
 		{
 			gamma -= 0.05;
-			Icon_SetDouble( gamma_win, GAMMA_ICN, gamma, 2 );
+			Icon_SetDouble(gamma_win, GAMMA_ICN, gamma, 2);
 			Term_xtra_acn_react();
 			update_gamma();
 		}
 	}
 
 	/* Hack: if the user menu is active then force it to redraw */
-	if ( user_menu_active ) { Term_keypress(18); key_pressed = 1; }
+	if (user_menu_active)
+	{
+		Term_keypress(18);
+		key_pressed = 1;
+	}
 
 	return TRUE;
 }
 
 /*
  | Reflect the current options in the gamma window
  */
-static void set_gamma_window_state( void )
+static void set_gamma_window_state(void)
 {
-	Icon_SetDouble( gamma_win, 0, gamma, 2 );
+	Icon_SetDouble(gamma_win, 0, gamma, 2);
 }
 
 
-static void init_gamma_window( void )
+static void init_gamma_window(void)
 {
-	Template_UseSpriteArea( resource_sprites );
-	gamma_win = Window_Create( "gamma", template_TITLEMIN );
-	Template_UseSpriteArea( NULL );
-	Event_Claim( event_REDRAW, gamma_win, event_ANY, Hnd_RedrawGamma, 0 );
-	Event_Claim( event_CLICK, gamma_win, GAMMA_DOWN, Hnd_GammaClick, (void*)1 );
-	Event_Claim( event_CLICK, gamma_win, GAMMA_UP, Hnd_GammaClick, (void*)0 );
+	Template_UseSpriteArea(resource_sprites);
+	gamma_win = Window_Create("gamma", template_TITLEMIN);
+	Template_UseSpriteArea(NULL);
+	Event_Claim(event_REDRAW, gamma_win, event_ANY, Hnd_RedrawGamma, 0);
+	Event_Claim(event_CLICK, gamma_win, GAMMA_DOWN, Hnd_GammaClick, (void *)1);
+	Event_Claim(event_CLICK, gamma_win, GAMMA_UP, Hnd_GammaClick, (void *)0);
 	set_gamma_window_state();
 }
 
 
-
-
-
-
-
-
-
 /*--------------------------------------------------------------------------*/
 /* Sound options window stuff												*/
 /*--------------------------------------------------------------------------*/
 
 static slider_info volume_slider;
 
 
 /*
  | Reflect the current sound config in the sound options window
  */
-static void set_sound_window_state( void )
+static void set_sound_window_state(void)
 {
-	Icon_SetSelect( sound_win, SND_ENABLE, enable_sound );
-	Slider_SetValue( &volume_slider, sound_volume, NULL, NULL );
-	if ( sound_volume >127 )
+	Icon_SetSelect(sound_win, SND_ENABLE, enable_sound);
+	Slider_SetValue(&volume_slider, sound_volume, NULL, NULL);
+
+	if (sound_volume > 127)
 		volume_slider.colour.foreground = colour_RED;
 	else
 		volume_slider.colour.foreground = colour_GREEN;
 }
 
 
 
 /*
  | The sound slider has been dragged, so update the sound volume setting
  */
-static int update_volume_from_slider( void *siv, void *ref )
+static int update_volume_from_slider(void *siv, void *ref)
 {
-	slider_info *si = (slider_info*) siv;
-	sound_volume = Slider_ReadValue( si );
-	if ( sound_volume >127 )
+	slider_info *si = (slider_info *) siv;
+	sound_volume = Slider_ReadValue(si);
+
+	if (sound_volume > 127)
 		volume_slider.colour.foreground = colour_RED;
 	else
 		volume_slider.colour.foreground = colour_GREEN;
 
 	return 0;
@@ -3310,84 +3509,98 @@
 
 
 /*
  | Handle redraw events for the sound options window
  */
-static BOOL Hnd_RedrawSnd( event_pollblock *pb, void *ref )
+static BOOL Hnd_RedrawSnd(event_pollblock * pb, void *ref)
 {
 	window_redrawblock redraw;
 	BOOL more;
 
 	redraw.window = pb->data.openblock.window;
 	Wimp_RedrawWindow(&redraw, &more);
 
 	while (more)
 	{
-		Slider_Redraw( ((slider_info*)ref), &redraw.cliprect );
+		Slider_Redraw(((slider_info *) ref), &redraw.cliprect);
 		Wimp_GetRectangle(&redraw, &more);
 	}
-	return(TRUE);
+	return (TRUE);
 }
 
 
 /*
  | Handle clicks on the sound options window
  */
-static BOOL Hnd_SndClick( event_pollblock *pb, void *ref )
+static BOOL Hnd_SndClick(event_pollblock * pb, void *ref)
 {
 	int icn = pb->data.mouse.icon;
 	int adj = pb->data.mouse.button.data.adjust;
-	slider_info *si = (slider_info*) ref;
+	slider_info *si = (slider_info *) ref;
 
-	switch ( icn )
+	switch (icn)
 	{
-		/* Bump arrows for the slider: */
-		case SND_VOL_DOWN :
+			/* Bump arrows for the slider: */
+		case SND_VOL_DOWN:
 			adj = !adj;
-		case SND_VOL_UP :
+
+		case SND_VOL_UP:
 			adj = adj ? -1 : 1;
 			sound_volume += adj;
-			if ( sound_volume<SOUND_VOL_MIN ) { sound_volume = SOUND_VOL_MIN; }
-			if ( sound_volume>SOUND_VOL_MAX ) { sound_volume = SOUND_VOL_MAX; }
+			if (sound_volume < SOUND_VOL_MIN)
+			{
+				sound_volume = SOUND_VOL_MIN;
+			}
+			if (sound_volume > SOUND_VOL_MAX)
+			{
+				sound_volume = SOUND_VOL_MAX;
+			}
 			set_sound_window_state();
 			break;
 
-		/* The slider itself */
-		case SND_VOL_SLIDER :
-			Icon_ForceRedraw( sound_win, SND_VOL_SLIDER );
-			Slider_Drag( si, NULL, NULL, NULL );
+			/* The slider itself */
+		case SND_VOL_SLIDER:
+			Icon_ForceRedraw(sound_win, SND_VOL_SLIDER);
+			Slider_Drag(si, NULL, NULL, NULL);
 			break;
 
-		/* The enable/disable icon */
-		case SND_ENABLE :
+			/* The enable/disable icon */
+		case SND_ENABLE:
 			enable_sound = !enable_sound;
-			Icon_SetSelect( sound_win, SND_ENABLE, enable_sound );
-			if ( enable_sound ) { initialise_sound(); }
+			Icon_SetSelect(sound_win, SND_ENABLE, enable_sound);
+			if (enable_sound)
+			{
+				initialise_sound();
+			}
 			break;
 	}
 
 	/* Hack: if the user menu is active then force it to redraw */
-	if ( user_menu_active ) { Term_keypress(18); key_pressed = 1; }
+	if (user_menu_active)
+	{
+		Term_keypress(18);
+		key_pressed = 1;
+	}
 
 	return TRUE;
 }
 
 
 
 /*
  | Set the sound options window up, ready to rock :)
  */
-static void init_sound_window( void )
+static void init_sound_window(void)
 {
-	Template_UseSpriteArea( resource_sprites );
-	sound_win = Window_Create( "sound", template_TITLEMIN );
-	Template_UseSpriteArea( NULL );
-
-	Event_Claim( event_REDRAW, sound_win, event_ANY, Hnd_RedrawSnd,
-													(void*) &volume_slider);
-	Event_Claim( event_CLICK, sound_win, event_ANY, Hnd_SndClick,
-													(void*) &volume_slider);
+	Template_UseSpriteArea(resource_sprites);
+	sound_win = Window_Create("sound", template_TITLEMIN);
+	Template_UseSpriteArea(NULL);
+
+	Event_Claim(event_REDRAW, sound_win, event_ANY, Hnd_RedrawSnd,
+				(void *)&volume_slider);
+	Event_Claim(event_CLICK, sound_win, event_ANY, Hnd_SndClick,
+				(void *)&volume_slider);
 
 	/* Set up the slider info */
 	volume_slider.window = sound_win;
 	volume_slider.icon = SND_VOL_SLIDER;
 	volume_slider.limits.min = SOUND_VOL_MIN;
@@ -3420,178 +3633,188 @@
 /*
  | A font has been selected.
  | At this point, menu_term is a pointer to the term for which the
  | menu was opened.
  */
-static void handle_font_selection( int *s )
+static void handle_font_selection(int *s)
 {
 	char name[260];
 	os_error *e;
 	char *r;
 	menu_ptr mp = font_menu;
 	int *mis;
 
 	/* Follow the >s to the entry specified */
-	for ( mis = s; *mis!=-1; mis++ )
-		mp = ((menu_item*)(mp+1))[*mis].submenu.menu;
+	for (mis = s; *mis != -1; mis++)
+		mp = ((menu_item *) (mp + 1))[*mis].submenu.menu;
 
 	/*
-	 | Now, check to see if we've hit a leaf entry.
-	 | NB: If the entry isn't a leaf entry then the first entry in its submenu
-	 | is used instead
+	   | Now, check to see if we've hit a leaf entry.
+	   | NB: If the entry isn't a leaf entry then the first entry in its submenu
+	   | is used instead
 	 */
-	if ( ((int) mp) != -1 )
+	if (((int)mp) != -1)
 	{
 		mis[0] = 0;
 		mis[1] = -1;
-		mp = ((menu_item*)(mp+1))[0].submenu.menu;
+		mp = ((menu_item *) (mp + 1))[0].submenu.menu;
 	}
 
-	if ( ((int) mp) != -1 )
+	if (((int)mp) != -1)
 		return;
 
-	e = Wimp_DecodeMenu( font_menu, s, name );
-	if ( e ) { plog(e->errmess); return; }
+	e = Wimp_DecodeMenu(font_menu, s, name);
+	if (e)
+	{
+		plog(e->errmess);
+		return;
+	}
 
 	/* Make sure that the string is NULL terminated */
-	for ( r=name; *r>=' '; r++ )
+	for (r = name; *r >= ' '; r++)
 		;
 	*r = 0;
 
-	attach_font_to_term( menu_term, name );
-	mark_ood( menu_term, 0,0, 80,24 );
-	refresh_window( menu_term );
+	attach_font_to_term(menu_term, name);
+	mark_ood(menu_term, 0, 0, 80, 24);
+	refresh_window(menu_term);
 }
 
 
 
 
 
 
 
-static void load_choices( void )
+static void load_choices(void)
 {
 	FILE *fp = NULL;
 	char *cf;
 	int i;
 	char buffer[260];
 
-	cf = find_choices( FALSE );
-	if ( *cf )
-		fp = fopen( cf, "r" );
+	cf = find_choices(FALSE);
+	if (*cf)
+		fp = fopen(cf, "r");
 
 	/* Implement default choices */
 	data[0].def_open = 1;
-	data[0].unopened = 1;				/* ie. force def_pos */
-	data[0].def_pos.min.x = (screen_size.x - 1280)/2;
-	data[0].def_pos.max.x = (screen_size.x + 1280)/2;
-	data[0].def_pos.min.y = (screen_size.y - 768)/2 -32;
-	data[0].def_pos.max.y = (screen_size.y + 768)/2 -32;
+	data[0].unopened = 1;		/* ie. force def_pos */
+	data[0].def_pos.min.x = (screen_size.x - 1280) / 2;
+	data[0].def_pos.max.x = (screen_size.x + 1280) / 2;
+	data[0].def_pos.min.y = (screen_size.y - 768) / 2 - 32;
+	data[0].def_pos.max.y = (screen_size.y + 768) / 2 - 32;
 	data[0].def_scroll.x = data[0].def_scroll.y = 0;
-	for ( i=1; i<MAX_TERM_DATA; i++ )
+	for (i = 1; i < MAX_TERM_DATA; i++)
 	{
 		data[i].def_open = 0;
-		data[i].unopened = 1;				/* ie. force def_pos */
-		data[i].def_pos.min.x = (screen_size.x - 1280)/2;
-		data[i].def_pos.max.x = (screen_size.x + 1280)/2;
-		data[i].def_pos.min.y = (screen_size.y - 768)/2;
-		data[i].def_pos.max.y = (screen_size.y + 768)/2;
+		data[i].unopened = 1;	/* ie. force def_pos */
+		data[i].def_pos.min.x = (screen_size.x - 1280) / 2;
+		data[i].def_pos.max.x = (screen_size.x + 1280) / 2;
+		data[i].def_pos.min.y = (screen_size.y - 768) / 2;
+		data[i].def_pos.max.y = (screen_size.y + 768) / 2;
 		data[i].def_scroll.x = data[i].def_scroll.y = 0;
 	}
 
-	if ( fp )
+	if (fp)
 	{
 		char *t_, *o_;
 
-		if ( !fgets(buffer,260,fp) )
+		if (!fgets(buffer, 260, fp))
 		{
 			fclose(fp);
 			return;
 		}
-		if ( strcmp(buffer,"[Angband config, Musus' port]\n") )
+		if (strcmp(buffer, "[Angband config, Musus' port]\n"))
 		{
 			fclose(fp);
 			return;
 		}
 
 		/* Load choices */
-		while ( fgets(buffer,260,fp) )
+		while (fgets(buffer, 260, fp))
 		{
-			t_ = strtok(buffer," ");		/* Term number (or keyword, "Gamma", etc.) */
-			o_ = strtok(NULL,"\n");			/* argument string */
-			if ( !o_ ) { o_=""; }			/* missing (or null) argument? */
-			if ( t_ )
+			t_ = strtok(buffer, " ");	/* Term number (or keyword, "Gamma", etc.) */
+			o_ = strtok(NULL, "\n");	/* argument string */
+			if (!o_)
 			{
-				if ( !strcmp(t_,"Gamma") )
+				o_ = "";
+			}					/* missing (or null) argument? */
+			if (t_)
+			{
+				if (!strcmp(t_, "Gamma"))
 					gamma = atof(o_);
-				else if ( !strcmp(t_,"Monochrome") )
-					force_mono = !strcmp(o_,"on");
-				else if ( !strcmp(t_,"Sound") )
-					enable_sound = !strcmp(o_,"on");
-				else if ( !strcmp(t_,"Volume") )
+				else if (!strcmp(t_, "Monochrome"))
+					force_mono = !strcmp(o_, "on");
+				else if (!strcmp(t_, "Sound"))
+					enable_sound = !strcmp(o_, "on");
+				else if (!strcmp(t_, "Volume"))
 					sound_volume = atoi(o_);
-				else if ( !strcmp(t_,"FullScreen") )
-					start_fullscreen = !strcmp(o_,"on");
-				else if ( !strcmp(t_,"Hourglass") )
-					use_glass = !strcmp(o_,"on");
-				else if ( !strcmp(t_,"HackFlush") )
-					hack_flush = !strcmp(o_,"on");
-				else if ( !strcmp(t_,"AlarmTimeH") )
+				else if (!strcmp(t_, "FullScreen"))
+					start_fullscreen = !strcmp(o_, "on");
+				else if (!strcmp(t_, "Hourglass"))
+					use_glass = !strcmp(o_, "on");
+				else if (!strcmp(t_, "HackFlush"))
+					hack_flush = !strcmp(o_, "on");
+				else if (!strcmp(t_, "AlarmTimeH"))
 					alarm_h = atoi(o_);
-				else if ( !strcmp(t_,"AlarmTimeM") )
+				else if (!strcmp(t_, "AlarmTimeM"))
 					alarm_m = atoi(o_);
-				else if ( !strcmp(t_,"AlarmText") )
-					strcpy(alarm_message,o_);
-				else if ( !strcmp(t_,"AlarmBeep") )
-					alarm_beep = !strcmp(o_,"on");
-				else if ( !strcmp(t_,"AlarmType") )
+				else if (!strcmp(t_, "AlarmText"))
+					strcpy(alarm_message, o_);
+				else if (!strcmp(t_, "AlarmBeep"))
+					alarm_beep = !strcmp(o_, "on");
+				else if (!strcmp(t_, "AlarmType"))
 				{
 					int i;
-					for ( i=0; i<4; i++ )
-						if ( !strcmp(alarm_types[i],o_) )
+					for (i = 0; i < 4; i++)
+						if (!strcmp(alarm_types[i], o_))
 							alarm_type = i;
 				}
-				else if ( isdigit( *t_ ) )
+				else if (isdigit(*t_))
 				{
 					int t = atoi(t_);
-					if ( t>=0 && t<MAX_TERM_DATA )
+					if (t >= 0 && t < MAX_TERM_DATA)
 					{
-						char *f_,*x0_,*y0_,*x1_,*y1_,*sx_,*sy_;
-						o_ = strtok( o_," ");			/* first word */
-						f_ = strtok(NULL," ");			/* font name */
-						x0_ = strtok(NULL," ");			/* x posn (min) */
-						y0_ = strtok(NULL," ");			/* y posn (min) */
-						x1_ = strtok(NULL," ");			/* x posn (max) */
-						y1_ = strtok(NULL," ");			/* y posn (max) */
-						sx_ = strtok(NULL," ");			/* x scroll offset */
-						sy_ = strtok(NULL,"\n");		/* y scroll offset */
-						data[t].def_open = (t==0) || atoi(o_);
+						char *f_, *x0_, *y0_, *x1_, *y1_, *sx_, *sy_;
+						o_ = strtok(o_, " ");	/* first word */
+						f_ = strtok(NULL, " ");	/* font name */
+						x0_ = strtok(NULL, " ");	/* x posn (min) */
+						y0_ = strtok(NULL, " ");	/* y posn (min) */
+						x1_ = strtok(NULL, " ");	/* x posn (max) */
+						y1_ = strtok(NULL, " ");	/* y posn (max) */
+						sx_ = strtok(NULL, " ");	/* x scroll offset */
+						sy_ = strtok(NULL, "\n");	/* y scroll offset */
+						data[t].def_open = (t == 0) || atoi(o_);
 						data[t].def_pos.min.x = atoi(x0_);
 						data[t].def_pos.min.y = atoi(y0_);
 						data[t].def_pos.max.x = atoi(x1_);
 						data[t].def_pos.max.y = atoi(y1_);
 						data[t].def_scroll.x = atoi(sx_);
 						data[t].def_scroll.y = atoi(sy_);
-						data[t].unopened = 1;		/* ie. force def_pos */
-						attach_font_to_term( &(data[t]), f_ );
+						data[t].unopened = 1;	/* ie. force def_pos */
+						attach_font_to_term(&(data[t]), f_);
 					}
 				}
 			}
 		}
 		fclose(fp);
 	}
 
 	/*
-	 | Fudge so that the main term is *always* fullsize
+	   | Fudge so that the main term is *always* fullsize
 	 */
 	{
-		int fw,fh;
+		int fw, fh;
 
-		set_up_zrb( &(data[0]) );
-		fw = zrb.r_charw<<screen_eig.x;
-		fh = zrb.r_charh<<screen_eig.y;
-		if ( zrb.r_flags.bits.double_height ) { fh *= 2; }
+		set_up_zrb(&(data[0]));
+		fw = zrb.r_charw << screen_eig.x;
+		fh = zrb.r_charh << screen_eig.y;
+		if (zrb.r_flags.bits.double_height)
+		{
+			fh *= 2;
+		}
 		fw *= 80;
 		fh *= 24;
 		data[0].def_pos.max.x = data[0].def_pos.min.x + fw;
 		data[0].def_pos.max.y = data[0].def_pos.min.y + fh;
 		data[0].def_scroll.x = 0;
@@ -3602,126 +3825,142 @@
 }
 
 
 
 
-static void save_choices( void )
+static void save_choices(void)
 {
 	FILE *fp = NULL;
 	FILE *fpm = NULL;
 	char *cf;
 	int i;
 
 	write_alarm_choices();
 
-	cf = find_choices( TRUE );
-	if ( !*cf )
+	cf = find_choices(TRUE);
+	if (!*cf)
 	{
-		plog( "Failed to locate writable choices file!" );
+		plog("Failed to locate writable choices file!");
 		return;
 	}
 
-	fp = fopen( cf,"w" );
-	if ( !fp )
+	fp = fopen(cf, "w");
+	if (!fp)
 	{
 		plog("Can't write choices file");
 		return;
 	}
 
-	fpm = fopen( find_choices_mirror(), "w" );
+	fpm = fopen(find_choices_mirror(), "w");
 
-	f2printf(fp,fpm,"[Angband config, Musus' port]\n");
-	f2printf(fp,fpm,"Gamma %.2lf\n",gamma);
-	f2printf(fp,fpm,"Monochrome %s\n",force_mono ? "on" : "off");
-	f2printf(fp,fpm,"Sound %s\n",enable_sound ? "on" : "off");
-	f2printf(fp,fpm,"Volume %d\n",sound_volume);
-	f2printf(fp,fpm,"FullScreen %s\n",start_fullscreen ? "on" : "off");
-	f2printf(fp,fpm,"Hourglass %s\n",use_glass ? "on" : "off");
-	f2printf(fp,fpm,"HackFlush %s\n",hack_flush ? "on" : "off");
+	f2printf(fp, fpm, "[Angband config, Musus' port]\n");
+	f2printf(fp, fpm, "Gamma %.2lf\n", gamma);
+	f2printf(fp, fpm, "Monochrome %s\n", force_mono ? "on" : "off");
+	f2printf(fp, fpm, "Sound %s\n", enable_sound ? "on" : "off");
+	f2printf(fp, fpm, "Volume %d\n", sound_volume);
+	f2printf(fp, fpm, "FullScreen %s\n", start_fullscreen ? "on" : "off");
+	f2printf(fp, fpm, "Hourglass %s\n", use_glass ? "on" : "off");
+	f2printf(fp, fpm, "HackFlush %s\n", hack_flush ? "on" : "off");
 
-	for ( i=0; i<MAX_TERM_DATA; i++ )
+	for (i = 0; i < MAX_TERM_DATA; i++)
 	{
 		window_state ws;
-		Wimp_GetWindowState( data[i].w, &ws );
-		f2printf(fp,fpm,"%d %d %s ",i,ws.flags.data.open,data[i].font->name);
-		f2printf(fp,fpm,"%d ",ws.openblock.screenrect.min.x);
-		f2printf(fp,fpm,"%d ",ws.openblock.screenrect.min.y);
-		f2printf(fp,fpm,"%d ",ws.openblock.screenrect.max.x);
-		f2printf(fp,fpm,"%d ",ws.openblock.screenrect.max.y);
-		f2printf(fp,fpm,"%d %d\n",ws.openblock.scroll.x,ws.openblock.scroll.y);
+		Wimp_GetWindowState(data[i].w, &ws);
+		f2printf(fp, fpm, "%d %d %s ", i, ws.flags.data.open,
+				 data[i].font->name);
+		f2printf(fp, fpm, "%d ", ws.openblock.screenrect.min.x);
+		f2printf(fp, fpm, "%d ", ws.openblock.screenrect.min.y);
+		f2printf(fp, fpm, "%d ", ws.openblock.screenrect.max.x);
+		f2printf(fp, fpm, "%d ", ws.openblock.screenrect.max.y);
+		f2printf(fp, fpm, "%d %d\n", ws.openblock.scroll.x,
+				 ws.openblock.scroll.y);
 	}
 
 	fclose(fp);
-	if (fpm) { fclose(fpm); }
+
+	if (fpm)
+	{
+		fclose(fpm);
+	}
 }
 
 /*
  | Update the Alarm choices file to reflect changed alarm settings.
  */
-static void write_alarm_choices( void )
+static void write_alarm_choices(void)
 {
 	FILE *fp;
 	char *cf;
 
 	/* Open the choices file for reading */
-	cf = find_alarmfile( TRUE );
-	if ( !*cf ) { plog( "Can't determine Alarm file location!"); return; }
+	cf = find_alarmfile(TRUE);
+	if (!*cf)
+	{
+		plog("Can't determine Alarm file location!");
+		return;
+	}
 
-	fp = fopen( cf, "w" );
-	if ( !fp )
+	fp = fopen(cf, "w");
+	if (!fp)
 	{
 		plog("Can't write Alarm file");
 		return;
 	}
 
 	/* Write the new alarm options */
-	fprintf(fp,"AlarmType %s\n",alarm_types[alarm_type] );
-	fprintf(fp,"AlarmTimeH %d\n",alarm_h);
-	fprintf(fp,"AlarmTimeM %d\n",alarm_m);
-	fprintf(fp,"AlarmText %s\n",alarm_message);
-	fprintf(fp,"AlarmBeep %s\n",alarm_beep ? "on" : "off");
+	fprintf(fp, "AlarmType %s\n", alarm_types[alarm_type]);
+	fprintf(fp, "AlarmTimeH %d\n", alarm_h);
+	fprintf(fp, "AlarmTimeM %d\n", alarm_m);
+	fprintf(fp, "AlarmText %s\n", alarm_message);
+	fprintf(fp, "AlarmBeep %s\n", alarm_beep ? "on" : "off");
 
 	fclose(fp);
 }
 
 /*
  | Read the Alarm choices file.
  */
-static void read_alarm_choices( void )
+static void read_alarm_choices(void)
 {
 	char buffer[260];
 	FILE *fp;
 	char *cf;
 
-	cf = find_alarmfile( FALSE );
-	if ( !*cf ) { return; }
+	cf = find_alarmfile(FALSE);
+	if (!*cf)
+	{
+		return;
+	}
 
-	fp = fopen( cf, "r" );
-	if ( fp )
+	fp = fopen(cf, "r");
+	if (fp)
 	{
-		char *t_,*o_;
+		char *t_, *o_;
 		/* Load choices */
-		while ( fgets(buffer,260,fp) )
+		while (fgets(buffer, 260, fp))
 		{
-			t_ = strtok(buffer," ");		/* Keyword */
-			o_ = strtok(NULL,"\n");			/* argument string */
-			if ( !o_ ) { o_=""; }			/* missing (or null) argument? */
-			if ( t_ )
+			t_ = strtok(buffer, " ");	/* Keyword */
+			o_ = strtok(NULL, "\n");	/* argument string */
+			if (!o_)
 			{
-				if ( !strcmp(t_,"AlarmTimeH") )
+				o_ = "";
+			}					/* missing (or null) argument? */
+			if (t_)
+			{
+				if (!strcmp(t_, "AlarmTimeH"))
 					alarm_h = atoi(o_);
-				else if ( !strcmp(t_,"AlarmTimeM") )
+				else if (!strcmp(t_, "AlarmTimeM"))
 					alarm_m = atoi(o_);
-				else if ( !strcmp(t_,"AlarmText") )
-					strcpy(alarm_message,o_);
-				else if ( !strcmp(t_,"AlarmBeep") )
-					alarm_beep = !strcmp(o_,"on");
-				else if ( !strcmp(t_,"AlarmType") )
+				else if (!strcmp(t_, "AlarmText"))
+					strcpy(alarm_message, o_);
+				else if (!strcmp(t_, "AlarmBeep"))
+					alarm_beep = !strcmp(o_, "on");
+				else if (!strcmp(t_, "AlarmType"))
 				{
 					int i;
-					for ( i=0; i<4; i++ )
-						if ( !strcmp(alarm_types[i],o_) )
+					for (i = 0; i < 4; i++)
+						if (!strcmp(alarm_types[i], o_))
 							alarm_type = i;
 				}
 			}
 		}
 		fclose(fp);
@@ -3731,71 +3970,77 @@
 
 
 /*
  | Handle selections from the term menu(s)
  */
-static BOOL Hnd_TermMenu( event_pollblock *pb, void *ref )
+static BOOL Hnd_TermMenu(event_pollblock * pb, void *ref)
 {
 	mouse_block mb;
 	int i;
 
-	Wimp_GetPointerInfo( &mb );
+	Wimp_GetPointerInfo(&mb);
 
-	switch ( pb->data.selection[0] )
+	switch (pb->data.selection[0])
 	{
-		case TERM_MENU_INFO : /* Info> */
+		case TERM_MENU_INFO:	/* Info> */
 			break;
-		case TERM_MENU_FONT : /* Font> */
+		case TERM_MENU_FONT:	/* Font> */
 			/* Sub item selected? */
-			if ( pb->data.selection[1] == -1 ) { break; }
-			handle_font_selection(pb->data.selection+1);
+			if (pb->data.selection[1] == -1)
+			{
+				break;
+			}
+			handle_font_selection(pb->data.selection + 1);
 			break;
-		case TERM_MENU_WINDOWS : /* Windows> */
-			if ( pb->data.selection[1] == -1 ) { break; }
+		case TERM_MENU_WINDOWS:	/* Windows> */
+			if (pb->data.selection[1] == -1)
+			{
+				break;
+			}
 			i = pb->data.selection[1];
 			{
 				window_state ws;
-				Wimp_GetWindowState(data[i].w,&ws);
-				if ( ws.flags.data.open )
+				Wimp_GetWindowState(data[i].w, &ws);
+				if (ws.flags.data.open)
 				{
-					if ( !i )
-						Hnd_MainClose( NULL, (void*) TRUE );
+					if (!i)
+						Hnd_MainClose(NULL, (void *)TRUE);
 					else
-						Window_Hide( data[i].w );
+						Window_Hide(data[i].w);
 				}
 				else
 				{
-					if ( !i )
+					if (!i)
 					{
 						show_windows();
 						grab_caret();
 					}
 					else
 					{
-						if ( !data[i].unopened )
+						if (!data[i].unopened)
 						{
-							Window_Show( data[i].w, open_WHEREVER );
+							Window_Show(data[i].w, open_WHEREVER);
 						}
 						else
 						{
 							window_openblock ob;
 							ob.window = data[i].w;
 							ob.screenrect = data[i].def_pos;
 							ob.scroll = data[i].def_scroll;
-							ob.behind = -1; /* could use data[0].w; ? */
-							Wimp_OpenWindow( &ob );
+							ob.behind = -1;	/* could use data[0].w; ? */
+							Wimp_OpenWindow(&ob);
 							data[i].unopened = 0;
 						}
 					}
 				}
 			}
 			break;
 	}
 
-	if ( mb.button.data.adjust )
+	if (mb.button.data.adjust)
 	{
-		set_up_term_menu( menu_term );
+		set_up_term_menu(menu_term);
 		Menu_ShowLast();
 	}
 
 	return TRUE;
 }
